Subject: Peripherals Memory Mapping

From: "Kevin A. Sapp" <[email-masked]>
Date: Mon, 01 Dec 2003 07:51:53 -0500

Hello,

Maybe this is a simple question, but I have searched the code
and played around with no luck.  This is for an 8260 FADS
board, later to be used on custom H/W.

How and where do I add peripherals memory to the memory
map?   I have tried adding it in the ads_map_io function but
when I try to access the 82xx internal memory space there to
add the memory to the base and option registers it dies.
io_block_mapping is called successfully for the internal
space, but appears to be inaccessable at this time.

Is there a function that adds memory ranges to both the Linux
map and the processor map (Base and Option registers) ?

Thank you
Kevin

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/